@font-face {
	font-family:'yekan';
    src: url('../yekan.ttf') format('truetype');
}

html{
    background-image: linear-gradient(to right, #0a0a0a, #1b1b1b,#0a0a0a);
}

@media only screen and (min-width: 611px) {
.navbar{
    background-color: #1f1f1f;
    padding: 25px;
    text-align: center;
    border-radius: 15px;
    box-shadow: 0 0 10px #1f1f1f;
}
}

@media only screen and (max-width: 610px) {
    .navbar{
        background-color: #1f1f1f;
        padding: 25px;
        text-align: center;
        display: grid;
    }
}

.navbar img{
    vertical-align: middle;
}

.btn-nav{
    background-color: #1f1f1f;
    border: solid 0px;
    color: #fff;
    font-family: 'yekan';
    padding: 5px;
    margin-left: 30px;
    margin-right: 30px;
    border-radius: 5px;
    padding: 10px 20px;
    transition-duration: 0.25s;
}

.btn-nav:hover{
    background-color: #4d4d4d;
    transition-duration: 0.25s;
    cursor: pointer;
}

.container{
    text-align: center;
    background-color: #181818;
    border-radius: 25px;
    margin-top: 10%;
    margin-left: 10%;
    margin-right: 10%;
    padding: 50px 0;
    box-shadow: 0 0 15px rgba(255, 26, 26, 0.1);
    border: 1px solid rgba(255, 26, 26, 0.3);
}
@media only screen and (min-width: 650px) {
.server-ip{
    display: flex;
    justify-content: center;
    margin: 25px 0;
}
}

@media only screen and (max-width: 649px) {
.server-ip{
    display: block;
    justify-content: center;
    margin: 25px 0;
}   
}

@media only screen and (min-width: 650px) {
.server-ip-text {
    background-color: #1c1c1c;
    border: 2px solid #444;
    color: #fff;
    padding: 15px 20px;
    font-size: 1.4rem;
    font-weight: bold;
    text-align: center;
    border-radius: 10px 0 0 10px;
    width: 300px;
    outline: none;
    font-family: 'yekan';
    transition-duration: 0.25s;
}
}

@media only screen and (max-width: 649px) {
    .server-ip-text {
    background-color: #1c1c1c;
    border: 2px solid #444;
    color: #fff;
    padding: 15px 20px;
    font-size: 1.4rem;
    font-weight: bold;
    text-align: center;
    border-radius: 10px;
    width: 100px;
    outline: none;
    font-family: 'yekan';
    transition-duration: 0.25s;
}
}

.server-ip-text:hover{
    border: 2px solid rgba(255, 0, 0, 0.171);
    transition-duration: 0.25s;
}

.title{
    color: white;
    text-shadow: 0 0 10px #ccc;
    font-family: 'yekan';
}

@media only screen and (min-width: 650px) {
.copy-btn {
    background-color: #ff1a1a;
    color: white;
    font-family: 'yekan';
    border: none;
    padding: 15px 25px;
    font-size: 1rem;
    cursor: pointer;
    border-radius: 0 10px 10px 0;
    transition-duration: 0.25s;
}
}

@media only screen and (max-width: 649px) {
.copy-btn {
    background-color: #ff1a1a;
    color: white;
    font-family: 'yekan';
    border: none;
    padding: 15px 25px;
    font-size: 1rem;
    cursor: pointer;
    border-radius: 10px;
    transition-duration: 0.25s;
}
}

.copy-btn:hover{
    background-color: #910000;
    transition-duration: 0.25s;
}

.server-versions{
    font-family: 'yekan';
    color: #aaa;
}

.name{
    color: #d30000;
    text-shadow: 0 0 15px #910000;
}

.description{
    color: #fff;
    text-shadow: 0 0 4px #ccc;
    font-family: 'yekan';
    direction: rtl;
}

.blog{
    display: inline-block;
    align-items: center;
}

.blog-item{
    background-color: #0f0f0f;
    margin: 5px 50px;
    padding: 50px 20px;
    border-radius: 15px;
}

.blog-name{
    color: #fff;
    font-family: 'yekan';
}

.blog-description{
    color: #aaa;
    font-family: 'yekan';
    font-size: medium;
}

.blog-link{
    text-decoration: none;
    color: #d30000;
    font-family: 'yekan';
    text-shadow: 0 0 5px #910000;
    transition-duration: 0.25s;
}

.blog-link:hover{
    transition-duration: 0.25s;
    color: #910000;
}

.footer{
    margin-top: 5%;
    text-align: center;
}

.container-title{
    color: #ff5050;
    text-shadow: 0 0 10px #ff0000;
    border-bottom: 1px dashed #333;
    padding-bottom: 10px;
    margin-bottom: 30px;
    margin-left: 30px;
    margin-right: 30px;
}

.gamemodes-title{
    color: #ff3b3b;
    text-shadow: 0 0 10px #ff0000;
    font-size: x-large;
}

.gamemodes-description{
    color: #ffff;
    text-shadow: 0 0 4px #ccc;
    font-family: 'yekan';
}

.gamemodes-item{
    background: #151515;
    border: 1px solid #3a3a3a;
    border-left: 4px solid #ff1a1a;
    padding: 30px 20px;
    border-radius: 8px;
    transition: transform 0.3s, box-shadow 0.3s;
}

.gamemodes-item:hover{
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(255, 26, 26, 0.2);
}

.gamemodes-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 30px;
    margin: 0 25px;
}

.footer-social{
    padding: 40px 0;
}

@media only screen and (min-width: 765px) {
.social-btns{
    display: flex;
    justify-content: center;
    gap: 30px;
}
}

@media only screen and (max-width: 764px) {
.social-btns{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(515px, 1fr));
    justify-content: center;
}
}

@media only screen and (max-width: 515px) {
.social-btns{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    justify-content: center;
}
}

.social-btn{
    padding: 15px 35px;
    border-radius: 50px;
    text-decoration: none;
    color: #fff;
    font-weight: bold;
    transition: 0.3s, background-color 0.3s;
    font-family: 'yekan';
    border: 1px solid transparent;
    margin: 5px 0;
}

.social-btn.discord{
    background: #5865F2;
    border-color: #5865F2;
}

.social-btn.youtube{
    background: #ff1919;
    border-color: #ff1919;
}

.social-btn.rubika{
    background: #ffae00;
    border-color: #ffae00;
}

.social-btn.aparat{
    background: #de74ff;
    border-color: #de74ff;
}

.social-btn.teamspeak{
    background: #00e1ff;
    border-color: #00e1ff;
    font-size: medium;
    cursor: pointer;
}

.social-btn:hover{
    opacity: 0.9;
    transform: scale(1.05);
}

.end{
    margin-top: 50px;
    padding: 20px 0;
    border-top: 1.5px solid #222;
    font-size: 0.85rem;
    color: #6b6b6b;
    font-family: 'yekan';
    font-size: large;
}

.endlink{
    text-decoration: none;
    color: #ff5050;
    transition-duration: 0.25s;
}

.endlink:hover{
    transition-duration: 0.25s;
    color: #ff0c0c;
}


@media only screen and (min-width: 650px) {
.img-show{
    height: 256px;
}
}

@media only screen and (max-width: 649px) {
.img-show{
    height: 128px;
}
}